Bug 205357 - [PATCH] www/firefox: upgrade to firefox 43
Summary: [PATCH] www/firefox: upgrade to firefox 43
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-12-16 19:18 UTC by Christoph Moench-Tegeder
Modified: 2015-12-23 06:44 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
update firefox to version 43 (38.67 KB, patch)
2015-12-16 19:18 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (10.2 amd64) (227.15 KB, application/octet-stream)
2015-12-16 19:19 UTC, Christoph Moench-Tegeder
no flags Details
firefox 43 take 2 (38.74 KB, patch)
2015-12-17 18:09 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2015-12-16 19:18:32 UTC
Created attachment 164291 [details]
update firefox to version 43

Firefox 43 has been released: https://www.mozilla.org/en-US/firefox/43.0/releasenotes/
Security: lots - https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox/#firefox43

As the bundled jemalloc has been updated to version 4.0, xpcshell crashed on install just like on DragonFly (backtraces show segfaults 1700 levels deep into the malloc stuff), I disabled jemalloc for now.

svn status:
M       Mk/Uses/gecko.mk
M       Mk/bsd.gecko.mk
M       www/firefox/Makefile
M       www/firefox/distinfo
D       www/firefox/files/patch-1194520
M       www/firefox/files/patch-bug1026499
A       www/firefox/files/patch-bug1228742
M       www/firefox/files/patch-bug702179
M       www/firefox/files/patch-bug847568
M       www/firefox/files/patch-bug991253
D       www/firefox/files/patch-media_libav_config__unix.h
M       www/firefox/files/patch-z-bug517422
M       www/firefox-i18n/Makefile
M       www/firefox-i18n/distinfo
Comment 1 Christoph Moench-Tegeder freebsd_committer 2015-12-16 19:19:36 UTC
Created attachment 164292 [details]
poudriere testport log (10.2 amd64)
Comment 2 Jan Beich freebsd_committer 2015-12-17 02:30:45 UTC
Comment on attachment 164291 [details]
update firefox to version 43

(In reply to Christoph Moench-Tegeder from comment #0)
> As the bundled jemalloc has been updated to version 4.0, xpcshell crashed on install just like on DragonFly

MOZ_JEMALLOC3 was renamed to MOZ_JEMALLOC4 which exposed FreeBSD to a known issue: memory/jemalloc works but memory/mojemalloc doesn't (due to bitrot).

https://bugzilla.mozilla.org/show_bug.cgi?id=1153683

> Index: Mk/bsd.gecko.mk
[...]
> -.if ${OPSYS} != DragonFly # XXX xpcshell crash during install
> +.if ${OPSYS} != DragonFly && ${OPSYS} != FreeBSD # XXX xpcshell crash during install
>  # use jemalloc 3.0.0 API for stats/tuning
>  MOZ_EXPORT+=	MOZ_JEMALLOC3=1

To use with both firefox43 *and* firefox-esr38 replace the line with

  MOZ_EXPORT+=    MOZ_JEMALLOC3=1 MOZ_JEMALLOC4=1

> Index: www/firefox/files/patch-bug1026499
[...]
> --            return TypeArray(Type('char'), ExprSizeof(self.internalType()))
> -+            return TypeArray(Type('char'), ExprSizeof(self.internalType()), self.internalType())

The whole patch-bug1026499 is probably obsolete in firefox43. If so, patch-bug779713 can be dropped as well. I've asked the author just in case.

https://bugzilla.mozilla.org/show_bug.cgi?id=1026499#c22
Comment 3 Jan Beich freebsd_committer 2015-12-17 02:36:01 UTC
Do you know if www/firefox builds on FreeBSD sparc64 nowadays (as of 42.0)? Does it run or crash?
Comment 4 Jan Beich freebsd_committer 2015-12-17 02:37:50 UTC
For example, if sparc64 is hopeless it gives more freedom to remove patch-bug1026499.
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-12-17 18:09:51 UTC
Created attachment 164319 [details]
firefox 43 take 2

I adapted my patch for jemalloc 4.0 (MOZ_JEMALLOC4 and friends). Until hearing back from the sparc64 people, I'd rather not remove the alignment-stuff. (Perhaps better commit quickly to get the security updates in, and cleanup on the next release/update?)
Comment 6 commit-hook freebsd_committer 2015-12-19 10:49:28 UTC
A commit references this bug:

Author: jbeich
Date: Sat Dec 19 10:49:11 UTC 2015
New revision: 404010
URL: https://svnweb.freebsd.org/changeset/ports/404010

Log:
  www/firefox: update to 43.0.1

  Changes:	https://www.mozilla.org/en-US/firefox/43.0/releasenotes/
  PR:		205357
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Security:	2c2d1c39-1396-459a-91f5-ca03ee7c64c6
  MFH:		2015Q4

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-1194520
  head/www/firefox/files/patch-bug1026499
  head/www/firefox/files/patch-bug1228742
  head/www/firefox/files/patch-bug702179
  head/www/firefox/files/patch-bug847568
  head/www/firefox/files/patch-bug991253
  head/www/firefox/files/patch-media_libav_config__unix.h
  head/www/firefox/files/patch-z-bug517422
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/distinfo
  head/www/linux-firefox/pkg-plist
Comment 7 commit-hook freebsd_committer 2015-12-19 10:50:30 UTC
A commit references this bug:

Author: jbeich
Date: Sat Dec 19 10:49:43 UTC 2015
New revision: 404011
URL: https://svnweb.freebsd.org/changeset/ports/404011

Log:
  www/firefox: drop no longer necessary sparc64 patches

  PR:		205357
  Tested by:	martin@NetBSD via upstream bug

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-bug1026499
  head/www/firefox/files/patch-bug779713
Comment 8 Jan Beich freebsd_committer 2015-12-19 10:57:07 UTC
Committed. Thanks!
Comment 9 commit-hook freebsd_committer 2015-12-21 13:01:06 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec 21 13:01:01 UTC 2015
New revision: 404095
URL: https://svnweb.freebsd.org/changeset/ports/404095

Log:
  MFH: r404010

  www/firefox: update to 43.0.1

  Changes:	https://www.mozilla.org/en-US/firefox/43.0/releasenotes/
  PR:		205357
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Security:	2c2d1c39-1396-459a-91f5-ca03ee7c64c6
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/Uses/gecko.mk
  branches/2015Q4/Mk/bsd.gecko.mk
  branches/2015Q4/www/firefox/Makefile
  branches/2015Q4/www/firefox/distinfo
  branches/2015Q4/www/firefox/files/patch-bug1026499
  branches/2015Q4/www/firefox/files/patch-bug1228742
  branches/2015Q4/www/firefox/files/patch-bug702179
  branches/2015Q4/www/firefox/files/patch-bug847568
  branches/2015Q4/www/firefox/files/patch-bug991253
  branches/2015Q4/www/firefox/files/patch-media_libav_config__unix.h
  branches/2015Q4/www/firefox/files/patch-soundtouch-no-factory
  branches/2015Q4/www/firefox-i18n/Makefile
  branches/2015Q4/www/firefox-i18n/distinfo
  branches/2015Q4/www/linux-firefox/Makefile
  branches/2015Q4/www/linux-firefox/distinfo
  branches/2015Q4/www/linux-firefox/pkg-plist
Comment 10 commit-hook freebsd_committer 2015-12-23 06:41:41 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec 23 06:40:52 UTC 2015
New revision: 404277
URL: https://svnweb.freebsd.org/changeset/ports/404277

Log:
  www/firefox: prune unused/upstreamed patch

  PR:		205357

Changes:
  head/www/firefox/files/extra-patch-bug1125514
Comment 11 commit-hook freebsd_committer 2015-12-23 06:44:44 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec 23 06:44:37 UTC 2015
New revision: 404278
URL: https://svnweb.freebsd.org/changeset/ports/404278

Log:
  MFH: r404277

  www/firefox: prune unused/upstreamed patch

  PR:		205357
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2015Q4/
  branches/2015Q4/www/firefox/files/extra-patch-bug1125514